# Class CIM_LogicalNetworkService

A LogicalNetworkService represents network services that either originate and/or terminate in a LogicalNetwork. This association is deprecated since LogicalNetworks aggregate ProtocolEndpoints, not their backing Services.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_LogicalNetworkService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | No value
Description | string | A LogicalNetworkService represents network services that either originate and/or terminate in a LogicalNetwork. This association is deprecated since LogicalNetworks aggregate ProtocolEndpoints, not their backing Services.
UMLPackagePath | string | CIM::Network::RoutingForwarding
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ContainmentType | uint16 |
Deprecated | string | No value
Description | string | An enumeration that explicitly defines this network service as originating, terminating, or residing in this LogicalNetwork.
ValueMap | string | 0, 1, 2, 3
Values | string | Unknown, Originates In, Terminates In, Resides In

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Network | CIM_LogicalNetworkService | CIM_LogicalNetwork
NetworkService | CIM_LogicalNetworkService | CIM_NetworkService

## Class Methods